<?php
	$addon['name'] = 'Odoo';
	$addon['icon'] = 'file-o';
	
	global $sitefolder;
	
	$path = $sitefolder.'/odoo';
	if (!file_exists($path))
	{
		mkdir($path);
	}
	$path .= '/settings.ini';
	
	if (file_exists($path))
		$odoosettings = parse_ini_file($sitefolder.'/odoo/settings.ini');
		
	
	if (isset($odoosettings))
	{
		require_once($installfolder.'/addons/odoo/hooks.php');
		
		$addon['menu'] = array();
		$addon['menuname'] = 'Odoo';
		$addon['menuicon'] = 'file-o';
		
		$addon['hooks'] = array();
		if (isset($odoosettings['Equipments']))
			$addon['hooks']['fetch'] = 'odoo_equipment_fetch_hook:'.$odoosettings["Equipments"];

		$itm = array();
		
		$b = "http://".$odoosettings['Server'];
		
		$itm['name'] = 'Open Odoo';
		if (strstr($b,'http') === FALSE) $b = "http://".$b;
		$itm['href'] = $b;

		$addon['menu'][] = $itm;
	}

?>